Bug 26216 - Remove the use of jquery.checkboxes plugin from catalog search results
Summary: Remove the use of jquery.checkboxes plugin from catalog search results
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-08-14 17:26 UTC by Owen Leonard
Modified: 2020-09-10 03:40 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Bug 26216: Remove the use of jquery.checkboxes plugin from catalog search results (2.67 KB, patch)
2020-08-14 17:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26216: Remove the use of jquery.checkboxes plugin from catalog search results (2.71 KB, patch)
2020-08-16 15:04 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 26216: Remove the use of jquery.checkboxes plugin from catalog search results (2.78 KB, patch)
2020-08-16 21:51 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-08-14 17:26:39 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. 

Its use should be replaced on the staff interface catalog search results page.
Comment 1 Owen Leonard 2020-08-14 17:48:59 UTC
Created attachment 108306 [details] [review]
Bug 26216: Remove the use of jquery.checkboxes plugin from catalog search results

This patch removes the use of jquery.checkboxes plugin from the
staff interface catalog search results page.

To test, apply the patch and perform a catalog search in the staff
interface which will return results.

On the search results page test the "Select all" and "Clear all" links
at the top of the results. They should work correctly.
Comment 2 Amit Gupta 2020-08-16 15:04:57 UTC
Created attachment 108365 [details] [review]
Bug 26216: Remove the use of jquery.checkboxes plugin from  catalog search results

Checked patch and working OK.

To Test:

Apply the patch and perform a catalog search in the staff
interface which will return results.

On the search results page test the "Select all" and "Clear all" links
at the top of the results. They should work correctly.
Comment 3 Katrin Fischer 2020-08-16 21:51:45 UTC
Created attachment 108376 [details] [review]
Bug 26216: Remove the use of jquery.checkboxes plugin from catalog search results

This patch removes the use of jquery.checkboxes plugin from the
staff interface catalog search results page.

To test, apply the patch and perform a catalog search in the staff
interface which will return results.

On the search results page test the "Select all" and "Clear all" links
at the top of the results. They should work correctly.

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-18 15:48:26 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-09-04 15:15:01 UTC
backported to 20.05.x for 20.05.04
Comment 6 Aleisha Amohia 2020-09-10 03:40:08 UTC
enhancement, not backported to 19.11.x